Subject: Re: [PATCH] strbuf: use designated initializers in STRBUF_INIT

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Jul 2017 15:26:10 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Fri, Jul 14 2017, Junio C. Hamano jotted:
>
>> Junio C Hamano <[email-masked]> writes:
>>
>>  - This may be showing I am not just old fashioned but also am
>>    ignorant, but I do not see much point in using the following in
>>    our codebase (iow, I am not aware of places in the existing code
>>    that they can be improved by employing these features):
>>
>>    . // comments
>
> [Feel free to ignore this E-Mail and my fascination with C syntax
> trivia]
>
> I wouldn't advocate switching to them on this basis, but since you asked
> for cases where things could be improved with // comments:
>
> The other day I submitted a patch that included this line in a comment:
>
>     +        * "t/**.sh" and then conclude that there's a directory "t",

Yes, obviously I am very aware of this one.  

The thing is, I had to do this only once in the 10+ year since
project inception.  I find that much more relevant anecdata ;-).